import React, { useMemo } from 'react';
import { Typography } from 'rlj-design';
var LongText = Typography.LongText;
export var useFieldsToOptions = function useFieldsToOptions(columns) {
  var options = useMemo(function () {
    if (!columns) return;
    return columns.map(function (_ref) {
      var disabled = _ref.fieldDisabled,
          value = _ref.fieldId,
          fieldName = _ref.fieldName;
      return {
        value: value,
        label: /*#__PURE__*/React.createElement(LongText, {
          text: fieldName || '',
          tooltip: fieldName,
          length: 6
        }),
        disabled: disabled
      };
    });
  }, [columns]);
  return options;
};